# -*- coding: utf-8 -*-
#
#  AutoFSManager
#
#  Coded by dre (c) 2016
#  Coding idea and design by dre
#  E-Mail: dre@dreambox-tools.info
#  Support: board.dreambox-tools.info
#
# This plugin is open source but it is NOT free software.
#
# This plugin may only be distributed to and executed on hardware which
# is licensed by Dream Multimedia GmbH.
# In other words:
# It's NOT allowed to distribute any parts of this plugin or its source code in ANY way
# to hardware which is NOT licensed by Dream Multimedia GmbH.
# It's NOT allowed to execute this plugin and its source code or even parts of it in ANY way
# on hardware which is NOT licensed by Dream Multimedia GmbH.
#
# If you want to use or modify the code or parts of it,
# you have to keep MY license and inform me about the modifications by mail.

from Components.Language import language
from Tools.Directories import resolveFilename, SCOPE_PLUGINS, SCOPE_LANGUAGE
import os,gettext
PluginLanguageDomain = "AutoFSManager"
PluginLanguagePath = "SystemPlugins/AutoFSManager/locale"

def localeInit():
        lang = language.getLanguage()[:2] # getLanguage returns e.g. "fi_FI" for "language_country"
        os.environ["LANGUAGE"] = lang # Enigma doesn't set this (or LC_ALL, LC_MESSAGES, LANG). gettext needs it!
        gettext.bindtextdomain(PluginLanguageDomain, resolveFilename(SCOPE_PLUGINS, PluginLanguagePath))

def _(txt):
        t = gettext.dgettext(PluginLanguageDomain, txt)
        if t == txt:
                print "[AutoFSManager] fallback to default translation for", txt
                t = gettext.gettext(txt)
        return t

localeInit()
language.addCallback(localeInit)